Resets one or more limit counter values back to zero for the specified advertiser.
Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/limits/reset.do
Resets one or more limit counter values back to zero for the specified advertiser. Each counter type specified in the request is independently reset, and a delayed reset is also initiated in the ad serving layer to synchronize counters across the cluster. Counters that can be reset: any counter of the limit: DAILY_, WEEKLY_, MONTHLY_ or TOTAL_ followed by IMPRESSIONS, CLICKS, CONVERSIONS, REVENUE or OPPORTUNITIES (e.g. WEEKLY_CLICKS). Requires UPDATE permission on the advertiser and the MANAGE_CAPPING_AND_LIMITATIONS user permission. Returns 404 if limits are not enabled. Each counter also needs its own limit permission enabled (e.g. WEEKLY_CLICKS_LIMIT for WEEKLY_CLICKS).
Path Params
advertiserIdintegerrequired
Unique numeric identifier of the advertiser whose limit counters should be reset
1001
Form Params
limitCountersarray<string>required
Counters to reset to zero, at least one, comma-separated or repeated: any counter of the limit: DAILY_, WEEKLY_, MONTHLY_ or TOTAL_ followed by IMPRESSIONS, CLICKS, CONVERSIONS, REVENUE or OPPORTUNITIES (e.g. WEEKLY_CLICKS)
TOTAL_IMPRESSIONS
Responses
200
Advertiser limits reset successfully
400
Invalid request parameters or advertiser not found
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("POST"), "https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/1001/limits/reset.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
request.Content = new FormUrlEncodedContent(new Dictionary<string, string> { ["limitCounters"] = "TOTAL_IMPRESSIONS" });
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());